Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hslf.model.textproperties
Class BitMaskTextProp

    java.lang.Object
      org.apache.poi.hslf.model.textproperties.TextProp
          org.apache.poi.hslf.model.textproperties.BitMaskTextProp

All Implemented Interfaces:
  java.lang.Cloneable

Direct Known Subclasses:
  CharFlagsTextProp, ParagraphFlagsTextProp

    public class BitMaskTextProp

extends TextProp
implements java.lang.Cloneable

Definition of a special kind of property of some text, or its paragraph. For these properties, a flag in the "contains" header field tells you the data property family will exist. The value of the property is itself a mask, encoding several different (but related) properties

Constructor Summary
`BitMaskTextProp(int sizeOfDataBlock, int maskInHeader, java.lang.String overallName, java.lang.String[] subPropNames)`

Method Summary
`java.lang.Object` | `clone()` Clone, eg when you want to actually make use of one of these.
`boolean[]` | `getSubPropMatches()` Fetch the list of if the sub properties match or not
`java.lang.String[]` | `getSubPropNames()` Fetch the list of the names of the sub properties
`boolean` | `getSubValue(int idx)` Fetch the true/false status of the subproperty with the given index
`int` | `getWriteMask()` As we're purely mask based, just set flags for stuff that is set
`void` | `setSubValue(boolean value, int idx)` Set the true/false status of the subproperty with the given index
`void` | `setValue(int val)` Set the value of the text property, and recompute the sub properties based on it

Methods inherited from class org.apache.poi.hslf.model.textproperties.TextProp
`getMask, getName, getSize, getValue`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BitMaskTextProp

    public BitMaskTextProp(int sizeOfDataBlock,
                           int maskInHeader,
                           java.lang.String overallName,
                           java.lang.String[] subPropNames)

Method Detail

### getSubPropNames

    public java.lang.String[] getSubPropNames()

  Fetch the list of the names of the sub properties

### getSubPropMatches

    public boolean[] getSubPropMatches()

  Fetch the list of if the sub properties match or not

### getWriteMask

    public int getWriteMask()

  As we're purely mask based, just set flags for stuff that is set

  Overrides:
    `getWriteMask` in class `TextProp`

### setValue

    public void setValue(int val)

  Set the value of the text property, and recompute the sub properties based on it

  Overrides:
    `setValue` in class `TextProp`

### getSubValue

    public boolean getSubValue(int idx)

  Fetch the true/false status of the subproperty with the given index

### setSubValue

    public void setSubValue(boolean value,
                            int idx)

  Set the true/false status of the subproperty with the given index

### clone

    public java.lang.Object clone()

  Description copied from class: `TextProp`
  Clone, eg when you want to actually make use of one of these.

  Overrides:
    `clone` in class `TextProp`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD